- 博客(9)
- 收藏
- 关注
原创 【无标题】
原题是求最小的移动的数的值,我们可以想到用二分答案来做。先确定二分的上限和下限,上限就是整个数列中最大的那个数(因为题目说a[i]<=1e5,所以我们可以直接设定为1e5),下限就是这个数列中最小的数。(这里也可以直接设为1)二分答案,每次确定一个数,看这个数能不能被check函数判断成功(就是这个数符不符合题目要求)如果成功,就右指针左移,看有没有更小的答案,如果失败,就左指针右移。
2026-02-18 20:39:51
40
原创 洛谷 P3916 图的遍历题解
首先观察数据范围,发现不能一个一个遍历来暴力求解只能想别的方法我们可以逆向思考,从后向前遍历,将遍历到的节点的最大改为这个开始遍历的节点这样的话就要注意图要反着来存。
2026-02-04 22:12:15
56
原创 洛谷P5318 【深基18.例3】查找文献 题解
首先这是一道最基本的图上遍历,按部就班的进行DFS和BFS就可以了注意遍历后的点要标记,DFS结束开始BFS时标记要清零。
2026-02-04 21:54:53
224
原创 洛谷P1451 求细胞数量 题解
我们可以想到,这是一个联通块计数问题,便可以用DFS或BFS来作答(这里使用的是BFS)。先从前往后从上往下遍历每一个数组,如果是细胞数字且没有被染色过就开始BFS遍历,将这个点所能遍历到的是细胞数字的点都染上色,同时细胞数也加一(就找到了一个细胞)。
2025-11-21 22:47:39
197
空空如也
空空如也
TA创建的收藏夹 TA关注的收藏夹
TA关注的人
RSS订阅